# License and Support Services Agreement for PostSharp and Metalama

Version: May 1st, 2023. Applies to PostSharp 2023.0, Metalama 2023.0 and later.

IMPORTANT! READ CAREFULLY: THIS IS A LEGAL AGREEMENT BETWEEN LICENSOR AND LICENSEE. THE SOFTWARE IS LICENSED UNDER THE TERMS AND CONDITIONS OF THIS LICENCE AND SUPPORT SERVICES AGREEMENT (HEREINAFTER ' **AGREEMENT**').

IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THE AGREEMENT, YOU MAYNOT INSTALL OR USE THE SOFTWARE AND YOU MAY NOT CONTACT THE LICENSOR FOR SUPPORT SERVICES IN RELATION TO SOFTWARE.

BY ATTEMPTING TO SET UP, INSTALL, COPY OR SAVE THE SOFTWARE ON YOUR COMPUTER, OR OTHERWISE USE THIS SOFTWARE, OR BY CLICKING ON THE RESPECTIVE ICON ACCEPTING THE AGREEMENT, AS THE CASE MAY BE, YOU, OR THE ENTITY YOU ARE REPRESENTING, AS THE CASE MAY BE, ARE BECOMING A PARTY TO THIS AGREEMENT AND YOU ARE CONSENTING TO BE BOUND BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.



## 1. PARTIES

1.1 ' **Licensor**' means SharpCrafters s.r.o. with its registered office at Prague 5, nám. 11. října 1307/2, Postal Code 150 00, the Czech Republic, ID 28953690, registered in the Commercial Register maintained by the Municipal Court in Prague, Section C, File 155506. Licensor is doing business under the trade names of 'PostSharp' or 'PostSharp Technologies'.

1.2 ' **Licensee**' means the legal entity or individual specified in the respective **Order** , as defined below.

## 2. DEFINITIONS

2.1 As used in this Agreement, the capitalized terms shall have the following meanings:

' **Order**' means an order placed by or on behalf of Licensee and accepted by Licensor for execution. The Order includes information on Software product, Software product edition, the type of granted License, the License term, the restrictions and quantitative limitations of the license, and applicable Support Services.

' **Community Contribution**' means any application or work made available by Licensor under an open-source license or under the public domain.

' **Software**' means the software program known as PostSharp or Metalama, in the respective edition i.e. PostSharp Caching, PostSharp Ultimate, PostSharp Threading, PostSharp Diagnostics, PostSharp XAML, PostSharp Framework, PostSharp Essentials, Metalama Free, Metalama Starter, Metalama Professional, Metalama Ultimate or any other editions of the software program and respective build dates specified in the Order. Software includes any copies, Software Updates, upgrades, enhancements and other derivative works of the foregoing provided by Licensor, as well as the Documentation. Software also means any third-party software programs that are owned and licensed by parties other than the Licensor and that are either integrated with or made part of the PostSharp Software (collectively, ' **Third Party Software**'). The general specification of each the then current editions of the Software is contained on the websites [https://doc.postsharp.net/](https://doc.postsharp.net/) and https://doc.metalama.net/. Software excludes Community Contributions.

' **Authorized User**' means any employee, independent and/or non-independent contractor and other temporary worker contracted by the Licensee by a written contract authorized by the Licensee to use the Software while performing duties within the scope of his/her employment or assignment.

' **Device**' means a computer device used by an Authorized User for running the Software.

' **Documentation**' means the online user guides and reference documentation for the Software, as included with the Software download file packages, as updated from time to time, and accessible via [https://doc.postsharp.net/](https://doc.postsharp.net/) and [https://doc.metalama.net/](https://doc.metalama.net/).

' **Confidential Information**' means any and all data and information of a confidential nature in any form, electronic data or facts of any kind, especially (but not exclusively), including business and/or commercial information, production, organizational, business development, price information, business strategy and/or technical information, know-how and trade secrets relating to the business and other intellectual property rights, data, documents, personal data of any person. Confidential Information of Licensor includes the License Key, the Software and any Software Updates provided under this Agreement. Confidential Information may be communicated orally, in writing or in any other recorded or tangible form. Data and information shall be considered to be Confidential Information especially, (i) if one party has advised the other of such confidential nature, or (ii) if, due to such character or nature, a reasonable person in a like position and under like circumstances as the Licensor or the Licensee would treat such as secret and confidential

' **Support Services**' means the services specified in Section 7 of this Agreement.

' **Subscription'** means a license to use (a) the Software and (b) Support Services during a specific period (the 'Subscription Period'). The duration of the Subscription Period is specified in the Order.

' **License**' means the license granted hereunder by the Licensor to the Licensee in the extent and subject to the terms and conditions hereof.

' **License Key**' means a unique key-code issued by Licensor that enables Authorized Users to use the Software. Only the Licensor and/or its representatives are entitled to produce License Keys for the Software.

' **License Server**' means a software program provided by the Licensor that is managing the distribution of the License Key by the Licensor to Authorized Users within the Licensee in order to control which Authorized Users are authorized to use the Software at the relevant moment.

' **Price List**' means a document specified in Section 8.1 of this Agreement.

' **Support Case'** means any unique and indivisible problem experienced by the Licensee in the use of the Software and for which Support Services are requested.

' **Supported Platform'** means any platform on which a specific version of the Software is designed to runaccording to Documentation.

' **Licensee Works** means any work in the meaning of the Act. No. 121/2000 Coll., on Copyright and Rights Related to Copyright and on Amendment to Certain Acts (hereinafter the ' **Copyright Act'** ) or other work outside the Copyright Act which is created by the Licensee's workers (Authorized Users) using the Software provided by the Licensor for the Licensee, but excludes the Software.

' **Build Server**' means a central computer device and that runs the Software in an unattended manner and uses the Software to build source code that has been produced by Authorized Users under the conditions of this Agreement.

## 3. SUBJECT MATTER

3.1 The subject matter of this Agreement is the terms and conditions under which the Licensor grants to the Licensee certain type of License specified in the Order, provides certain Support Services to the Licensee and the Licensee pays consideration to the Licensor for the Licenses and Support Services.

3.2 The Software, and Software Updates are the property of the Licensor. The title to and all applicable rights in patents, copyrights and trade secrets in the Software will remain sole and exclusive property of the Licensor or third parties from whom the Licensor has obtained rights to License the Software. The Licensee is entitled to use the Software exclusively under the conditions of this Agreement and under the License specified in the Order.

## 4. GRANT OF LICENCE

4.1 Subject to the terms, conditions and limitations set forth in this Agreement, the Licensor hereby grants to the Licensee a limited, revocable, non-exclusive, non-transferable, worldwide License to use the Software. The License granted hereunder shall be solely the type of the License specified in the respective Order issued by the Licensor and delivered to the Licensee, and shall be granted for the period specified therein.

4.2 The Licensee may use the Software solely (i) for the purposes for which the Software is determined by its functionality (ii) in accordance with the type of the License and restrictions specified in the respective Order, and (iii) in accordance with this Agreement. The Licensee may not use of the Software for a purpose or in a manner for which the Software was not designed or licensed to Licensee.

4.3 Without limitations, the following uses of the Software are expressly forbidden to cause or permit (i) disclosure, display, access, or use of the Software by anyone other than an Authorized User and (ii) the loan, lending, publication, transfer of possession (whether by sale, exchange, gift, operation of law or otherwise), sublicensing, rental, or other dissemination or use of the Software, in whole or in part, to or for any third party. Furthermore, the Licensee is not entitled to provide access to the Software to any third party (except Authorized Users). The Licensee shall not (except as expressly required by law) reverse engineer, decompile, translate, disassemble, or otherwise attempt to discover the source code of the Software as it contains trade secrets. The Licensee may not otherwise modify, alter, adapt, or merge the Software. The obligations set forth in this clause shall survive any termination of this Agreement.

4.4 If the Licensee or any of the Authorized Users breaches or threatens to breach any obligation of this Agreement, the Licensor will have the right, in addition to such other remedies which may be available to it, to seek legal defense forbidding such acts or attempts, it being acknowledged and agreed by the Licensee that monetary damages are inadequate to protect the Licensor.

4.5 The Licensor reserves all rights in the Software not explicitly granted herein. For avoidance of any doubts, the Licensor is entitled to use the Software without any limitations regardless to the granted License.

4.6 Any direct or indirect use of any part the Software by other persons than Authorized Users, including the use of parts of the Software in programs used by other persons than Authorized Users, is prohibited. The provision of Section 6 of this Agreement shall not be affected.

4.7 Unless specified otherwise in section 5, the license shall be perpetual. Licenses which are not perpetual automatically terminate at the end of the Subscription Period.

4.8 The license allows Licensee to use the Software on an unlimited number Build Servers.

## 5. TYPES OF LICENSES AND DELIVERY

5.1 The Licensee may purchase various licenses. This Agreement applies to any and all licenses to Software that the Licensee purchases. The type of license which the Licensee purchases shall be specified in the Order and are listed below.

5.2 ' **Business License**' (formerly 'Per-Developer Subscription', 'Commercial License' or 'Per-User Subscription') shall mean a license based on a limitation on the number of daily unique Authorized Users. The Per-Developer Subscription is ruled by the following principles:

1. The access to (provision of) the Software will be provided/restricted to the number of Authorized Users specified in the Order. The Licensee shall have the right to change Authorized Users provided that no individual Authorized User may be changed more than once every calendar day. The Software may be installed concurrently on two Devices of the particular Authorized User.
2. The number of Authorized Users shall not exceed the entitlements specified in the Order. Licensor will send Licensee a notice in the event they have exceeded the number of Authorized Users and will be notified in writing that it must purchase additional Authorized Users. In the event License continues to exceed the number of Authorized Users, and does not purchase a license for additional Authorized Users within 30 days of Licensor's written notice, Licensor may thereafter suspend or terminate Licensee's license, without liability to Licensee.

5.3 ' **Personal License**' shall mean a license designed for an individual and is based on the following principles. The access to the Software will be restricted to the specific individual to whom the license have been validly granted under this Agreement. In no event the Software may be used by anybody else than the respective individual. The Personal License shall be a worldwide license, provided that all the aforesaid limitations must be complied with for the entire term of the license.

5.4 ' **Global License**' shall mean a license designed for legal entities and is based on the following principles. The access to the Software will be provided to (i) unlimited number of Authorized Users of the Licensee, including its branches, or (ii) unlimited number of Authorized Users of the Licensee, and within its subsidiary companies in which the Licensee holds the majority share, as explicitly specified in the respective Order. The specific scope of the particular Global License shall be specified in the respective Order. The Global License shall be a worldwide license, provided that all the aforesaid limitations must be complied with for the entire term of the license. The Global License shall be non-transferable.

The Price List may stipulate different prices for companies of different sizes, where the size is specified as a maximal number of employees. This numbers shall be interpreted as the number of full-time equivalent employees and freelancers working for the company. The maximum number of employees will be specified in the Order. Licensor must qualify the price category at the time of placing the Order or renewing the Subscription.

5.5 ' **Academic License**' shall mean a license designed for students, teachers, professors, universities, schools, or other physical or legal entities specialized in education or research (whether free or for profit), and is based on the same principles as the Company License with the following restrictions:

(a) The Academic License only allows for education and research. It does not allow for general commercial use of the product by the Licensee, such as development of production software. The Licensee is obliged not to use the Software for any commercial purpose under the Academic License.

(b) The Academic License shall be non-transferable.

(c) The Licensee with an Academic License shall not be entitled to make Support Requests defined in section 7.2.

(d) Licensor may require Licensee to prove its academic status.

5.6 ' **Evaluation License**' shall mean, in relation to any of the licenses granted under this Agreement, license designed for evaluation purposes only and is based on the following principles. The Licensee is granted the right to use the Software for evaluation or demonstration purposes for a limited period of time specified in the Order. The access to the Software will be provided as specified in relation to each specific license hereunder, provided that the Software is used solely for internal evaluation for the sole purpose of determining whether the Software meets the Licensee's requirements and whether the Licensee desires to continue using the Software. The Evaluation License does not allow for general commercial use of the product by the Licensee, such as development of production software. The Evaluation License shall be non-transferable.

5.7 ʻ **Automatic License Auditing** ʼ. Unless specified otherwise in the Order,the Software under any License except the Site License or Global License is allowed to periodically transmit usage information to Licensor. Automatic License Auditing is based on the following principles:

1. The following pieces of information are collected by Licensor during Licensee's use of the Software: (i) the License Key, (ii) a non-personally identifiable identifier of the Device, (iii) a non-personally identifiable identifier of the Authorized User running the Software, (iv) the respective edition and build date of the Software being executed, and (v) the date when the Software has been used. The Licensee acknowledges this provision and hereby acknowledges this practice and gives explicit consent to the automatic license auditing. Upon use of the Software, automatic license auditing from Authorized User will occur and Licensee acknowledges the same on behalf of itself and its Authorized Users. Licensee will be responsible for obtain consent of Authorized Users if legally required.
2. Except as provided in section 5.2b, the auditing process does not affect the Licensee`s right and possibility to use the Software even in case of technical failure of the license auditing process, including lack of network connectivity. However, Licensee guarantees that the Devices will be allowed to connect to the Licensor's servers at least every 7th day when the Software is used.

5.8 **Delivery**. Delivery of the Software identified in the respective Order will occur by means of electronic download by the Licensee from a website specified by the Licensor. The Licensee shall be solely responsible for the installation of the Software on its Devices. The Licensee shall be solely responsible for procuring and proper operation of the Supported Platform.

## 6. DISTRIBUTION OF RUNTIME COMPONENTS

6.1 The Licensee shall always have the right to distribute the runtime components but solely for purposes of running the Licensee Works. The runtime component is for the purpose of this Agreement a component which is solely needed to run the Licensee Works as opposed to the build time component which is needed to build any software. For the purposes of this Agreement any component whose execution requires the execution of a library whose name starts with 'PostSharp.Compiler' is considered as a build time component.

6.2 Any Licensee's Works which are built by using the Software or including runtime components of the Software shall not be competitive with any of the Licensor' Products. In case of doubt the Licensor's opinion shall prevail.

## 7. SUPPORT SERVICES

7.1 Subject to purchase by the Licensee of a Subscription, the Licensor shall provide Support Services specified in Section 7.2 for the Subscription Period. The Support Services to be provided hereunder shall be solely the type of the Support Services specified in the respective Order. The Support Services provided hereunder may be used by the Licensee solely for the Software delivered under this Agreement and for no other software.

7.2 **`Maintenance Subscription**' shall mean the Support Services based on the following principles available to Licensee during the Subscription Period.

(a) **`Software Updates**': the Licensee will receive new versions of the Software from the Licensor including maintenance releases and new major versions, if any such releases are issued by the Licensor during the Subscription Period.

(b) **`Support Requests**': Licensee may send Licensor questions relating to the Software to get personalized help. The questions shall only be delivered as specified by the Licensor on the website [https://support.postsharp.net/](https://support.postsharp.net/). If Licensee purchased **Professional Technical Support** , as mentioned in the Order, Licensor shall handle such questions with priority and make all reasonable efforts to react to delivered questions within a reasonable time. Licensor has no such obligation for **Standard Technical Support** , and, in this case, will address Support Requests on a benevolent basis and based on availability.

Licensor is entitled, at its sole discretion, to divide a Support Case into multiple Support Cases.

7.3 Unless otherwise specified in the respective Order, the Licensor will not provide Support Services relating to problems or issues arising out of or from:

(a) issues that could be resolved by use of an available upgrade to the Software;

(b) the use or modification of a Software in a manner for which the Software is not intended to be used or modified or at variance with the conditions of this Agreement;

(c) third party products or technologies and their effects on or interactions with a Software, except Supported Platforms and tools, unless the issue is related to a defect or limitation of the Supported Platform;

(d) damage to the media on which the Software is provided, or to the computer on which the Software is installed;

(e) use of low-level application programming interfaces of the Software including any library whose name starts with 'PostSharp.Compiler', 'Metalama.Compiler', 'Metalama.Framework.Sdk', 'Microsoft.CodeAnalysis'.

(f) use of Community Contributions or like works which are not Licensor Software;

(g) the use of different binaries than the one provided by Licensor (i.e. Licensor does not support builds done by the Licensee from the source code);

(h) excessive issuance of Support Requests by Licensee (i.e. when Licensor has already spent more time addressing Licensee's Support Requests than one hour for every 500 USD of the total amount of the Order).

(i) failure by Licensee to use suitably qualified personnel to issue Support Requests;

(j) repeated issuance of Support Requests which indicate Licensee has not reviewed the FAQ, Documentation and samples posted by Licensor on the support site.

## 8. LICENCE FEES AND PAYMENTS

8.1 The Licensee shall pay to the Licensor, as a consideration for the License granted hereunder, the license fees in accordance with the then current Price List of the Licensor applicable to the respective type of the purchased license, unless otherwise agreed mutually between the parties. The Licensee shall pay to the Licensor, as a consideration for the Support Services granted hereunder, the fees in accordance with the then current Price List of the Licensor applicable to the respective type of the Support Services, unless otherwise agreed mutually between the parties. The Licensee is entitled to use the Software and Support Services only following the payment of the respective license fees and the Licensee will receive from the Licensor or from the authorized reseller the specific License Key, enabling the Licensee to use the Software, upon payment of the applicable license fee. The then-current Price List is located on the Licensor's website at [https://www.postsharp.net/il/pricing](https://www.postsharp.net/il/pricing) and [https://www.postsharp.il/metalama/pricing](https://www.postsharp.il/metalama/pricing) or will be provided to the Licensee otherwise, as the case may be.

8.2 The Price List shall constitute an integral part of this Agreement. The Licensor reserves the right to change, modify and amend the Price List at any time at its sole discretion, which amendments shall become effective as of the date set forth in the Price List in respect of each such amendment.

8.3 For each payment due to the Licensor under this Agreement, an invoice shall be issued in accordance with the applicable tax regulations. The invoice shall be payable within thirty (30) days after the day of its issuance and the fees shall be paid to the account of the Licensor or of an authorized reseller of the Licensor, as specified in the respective invoice.

8.4 Should the Licensee fail to pay the fee within the above-stated period, the Licensee shall after the due date be obliged to pay to the Licensor daily interest at the maximum rate allowable by law and/or the Licensor may terminate this Agreement with immediate effect by written notice delivered to the Licensee. The Licensee will reimburse the Licensor for any reasonable legal fees and other costs and expenses incurred by the Licensor in collecting past due amounts.

8.5 The prices on the Price List are without any VAT or similar taxes. Any such taxes will be added to the price.

8.6 All payments to be made by the Licensee to the Licensor under this Agreement shall be made free and clear of and without deduction for or on account of tax unless the Licensee is required by law to make such payment subject to the deduction or withholding of tax, in which case the sum payable by the Licensee in respect of which such deduction or withholding is required to be made shall be increased to the extent necessary to ensure that, after making the required deduction or withholding, the Licensor (or the authorized reseller, as the case may be) receives and retains (free from any liability in respect of any such deduction or withholding) a net sum equal to the sum which it would have received and so retained had no such deduction or withholding been made or required to be made.

## 9. INFRINGEMENT OF RIGHTS OF THIRD PARTIES

9.1 In the event that the Software is held or believed by the Licensor to infringe third party copyright or patent rights, or the Licensee's use of the Software is enjoined, the Licensor will have the option, at its expense, to (i) modify the Software to cause it to become non-infringing; (ii) obtain for the Licensee a license to continue using the Software; (iii) substitute the Software with other Software reasonably suitable to the Licensee, or (iv) if none of the foregoing remedies are commercially feasible, in Licensor's sole but reasonable determination, terminate the License for the infringing Software and refund any license fees paid for the Software, prorated over a three-year term from the date of purchase of such infringing Software.

9.2 The Licensor will have no liability for any claim of infringement based on (i) code contained within the Software which was not created by the Licensor; (ii) use of a superseded or altered release of the Software, except for such alteration(s) or modification(s) which have been made by the Licensor or under the Licensor's direction, if such infringement would have been avoided by the use of a current, unaltered release of the Software made available by the Licensor, or (iii) the combination, operation, or (iv) use of any Software furnished under this Agreement with programs or data not furnished by the Licensor if such infringement would have been avoided by the use of the Software without such programs or data.

9.3 The Software may include functionality that enables reconstructing source code from the original binary code of third-party programs, and modifying binary code of Third Party Software. Licensee acknowledges that binary code and source code of Third Party Software might be protected by copyright and trademark rights. Before using the Software against Third Party Software, Licensee should make sure that decompilation or modification of binary code is not prohibited by the applicable License agreement (expect to the extent that Licensee may be expressly permitted under applicable law) or that Licensee has obtained permission to decompile or modify the binary code from the copyright owner. Licensor disclaims any liability for Licensee's use of the Software against Third Party Software in violation of applicable laws.

9.4 This Section states the Licensor's entire liability for copyright and patent infringement.

9.5 The Licensee shall indemnify the Licensor for damages, costs, loss (including expenses and attorney's fees) and damages of any kind resulting from its breach of its obligation under Section 10.2 of this Agreement.

## 10. NO WARRANTY

10.1 THE SOFTWARE IS PROVIDED TO THE LICENSEE 'AS IS' AND WITHOUT ANY WARRANTIES. THE LICENSOR MAKES NO WARRANTY AS TO THE USE OR PERFORMANCE OF THE SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE LICENSOR, AND ITS SUPPLIERS AND RESELLERS, DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES.

10.2 The Software is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, air traffic control machines or other activities in which the failure of the Software to attain a desired result could lead to death, personal injury, or severe physical or environmental damage.

10.3 The Licensor shall not be liable in any manner whatsoever for the results obtained through the use of the Software and Support Services. Persons using the Software are responsible for the supervision, management and control of the Software. This responsibility includes, but is not limited to, the determination of appropriate uses for the Software and the selection of the Software and other programs to achieve intended results. Persons using the Software are also responsible for establishing the adequacy of independent procedures for testing the reliability and accuracy of any program output, including all items designed by using the Software.

## 11. LIMITATION OF LIABILTY

11.1 The Licensor's entire liability for all claims or damages arising out of or related to this Agreement shall be limited to and shall not exceed, in the aggregate for all claims, actions and causes of action of every kind and nature; the amount paid to the Licensor under this Agreement for the specific item that caused the damage or that is the subject matter of, or is directly related to, the cause of action. The parties hereby expressly agree that the amount referenced in the immediately preceding sentence represents the amount of foreseeable damages. The copyright and patent infringement claims are covered solely by Section 9. IN NO EVENT WILL THE MEASURE OF DAMAGES PAYABLE BY THE LICENSOR INCLUDE, NOR WILL LICENSOR BE LIABLE FOR, ANY AMOUNTS FOR LOSS OF INCOME, LOSS OF DATA, LOSS OF PROFIT OR SAVINGS OR INDIRECT, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, PUNITIVE OR SPECIAL DAMAGES OF ANY PARTY, INCLUDING THIRD PARTIES, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES IN ADVANCE, AND ALL SUCH DAMAGES ARE EXPRESSLY DISCLAIMED_._

## 12. NON-DISCLOSURE OBLIGATIONS

12.1 During the term of this Agreement, the parties may disclose certain Confidential Information to each other in the performance of their rights and obligations under this Agreement. Without the prior written authorization of the disclosing party, the receiving party shall not use or copy any Confidential Information for any purpose other than as specifically authorized by this Agreement, and shall not transfer or disclose any Confidential Information to any person, except for the purposes of performing its obligations and exercising its rights in accordance with this Agreement to the necessary extent. The receiving party shall take steps necessary or appropriate to protect Confidential Information against unauthorized disclosure or use, including, without limitation, ensuring that each of its personnel and any Authorized Users with access to Confidential Information is aware of and complies with the non-disclosure obligations set out in this Section. The receiving party shall promptly notify the disclosing party of any unauthorized disclosure or use of any Confidential Information that comes to the receiving party's attention, and shall take all action that the disclosing party reasonably requests to prevent any further unauthorized use or disclosure of it. Each party expressly acknowledges and agrees that, except as specifically provided in this Agreement, at no time shall it acquire or retain, or appropriate for its own use, any right, title or interest in or to any Confidential Information of the other party.

12.2 The obligations set out in Section 12.1 shall not apply to the extent, that any Confidential Information (i) becomes generally available to the public through no fault of the receiving party; (ii) is or has been disclosed to the receiving party, directly or indirectly, by any person that is under no obligation of non-disclosure to the disclosing party or an affiliate of the disclosing party; or (iii) is required to be disclosed under any applicable law, rule, regulation or governmental order.

12.3 Notwithstanding the termination of this Agreement, each party shall continue to abide by the terms of the non-disclosure obligations with respect to Confidential Information as set out in this Section and indemnification as set out in Section 12.2 hereof.

## 13. TERMINATION

13.1 If either party materially defaults in the performance of any of its duties or obligations under this Agreement and fails to proceed within fifteen (15) days after written notice thereof to commence curing the default and thereafter to proceed with reasonable diligence to substantially cure the default, the other party may, by giving written notice thereof, terminate this Agreement effective immediately. However, this provision does not apply to a default in payments to the Licensor by the Licensee (no cure period is provided for such a breach and the Licensor may terminate this Agreement effective immediately).

13.2 Except as may be prohibited by Czech bankruptcy laws, in the event of either party's insolvency or inability to pay debts as they become due, voluntary or involuntary bankruptcy proceedings by or against a party hereto, or appointment of a receiver or assignee for the benefit of creditors, the other party may terminate this Agreement by written notice.

13.3 All rights granted will cease upon any termination of this Agreement. Within fifteen (15) days after termination of the license rights granted herein or this Agreement for any reason, the Licensee will destroy the original and all copies of the Software in all forms, and will certify to the Licensor in writing that such obligation has been fulfilled.


## 14. MARKETING

14.1 Unless agreed otherwise, the Licensee agrees to be identified as a customer of the Licensor and that the Licensor may refer to the Licensee by name, trade name and trademark, if applicable, and may briefly describe the Licensee's business in the Licensor's marketing materials, on the Licensor's website, in public or legal documents. The Licensee hereby grants to the Licensor a license to use the Licensee's name and any of the Licensee's trade names and trademarks solely pursuant to this Marketing Section.

## 15. NOTICES

15.1 All notices required by or relating to this Agreement will be in writing and will be sent by mail to the Licensor at the address set forth on the first page of this Agreement; to the Licensee by mail or in electronic form to the address set forth in the relevant Order; or to such other address as either party may specify by written notice to the other.

## 16. GENERAL

16.1 The Licensor reserves the right at any time to cease the support of the Software and to alter prices, features, specifications, capabilities, functions, licensing terms, release dates, general availability or other characteristics of the Software.

16.2 The Licensee shall notify Licensor in writing, without undue delay, of any changes in the data contained in this Agreement or any other arrangement between the Licensor and the Licensee, or any changes affecting the Licensee's identity or legal status, or any significant facts and changes that relate to or might have a substantial impact upon its transactions or business relationship with the Licensor or the Licensee's ability to fulfil its obligations towards the Licensor or of which the Licensor could reasonably be expected to want to be informed, and shall submit documents evidencing such changes and other information as the Licensor may reasonably request. Any change shall become effective against and binding on the Licensor on the business day following receipt of such notification, notwithstanding any information contained in any public register. The Licensee is responsible for any loss or damage incurred by the Licensor or the Licensee arising out of the failure of the Licensee to duly and promptly notify the Licensor of such changes.

16.3 Except for Site License and Global License pursuant to this Agreement, and neither Automatic License Audit nor License Server is used, the Licensee will at all times maintain records specifically identifying the Software licensed under this Agreement, the location of each copy thereof, and the location and identity of the workstations and servers (Devices) on which the Software is installed. The Licensor may, during regular business hours and upon reasonable advance notice, conduct an audit to determine the Licensee's compliance with the terms and conditions of this Agreement. The Licensee will permit the Licensor or its authorized agents to access the Licensee's facilities, workstations and servers, and otherwise cooperate fully with the Licensor in any such investigation and will take all commercially reasonable actions to assist the Licensor in accurately determining the Licensee's compliance with the terms and conditions of this Agreement.

16.4 Neither party will be liable for any delay in or failure to perform any of its non-monetary obligations under this Agreement if due to any cause or condition beyond their reasonable control, whether foreseeable or not.

16.5 This Agreement, the relevant Order, the then current Price List and the then current Specifications of the Software, and possibly also other arrangements related to the Software agreed between the parties in writing, as the case may be, constitute the entire agreement between the parties concerning the Software. Any reference to Licensee's terms and conditions or any other general terms and conditions included in Licensee's order or in any other communication shall in no event apply to the contractual relationship between the parties hereto and shall have no legal effect.

16.6 The Software includes functionality that when utilized by Licensee may enable temporary access to sensitive data such as passwords or credit card numbers in diagnostic logs and audit servers ("Diagnostic Data"). Licensee does not monitor the content processed by the Software and Licensor is responsible for properly configuring the Software to manage Diagnostic Data and obtaining any required consents to provide access to the Diagnostic Data and disclaims any liability for Licensee's use of the Software in violation of applicable security and privacy laws.

16.7 Nothing in this Agreement shall create a partnership or a corporation between the parties, nor deem either party the agent of the other party for any purpose.

16.8 If any provision of this Agreement is or becomes invalid or unenforceable, such invalidity or unenforceability shall not affect the remaining provisions of this Agreement. The parties are committed to cooperate on replacing the invalid or unenforceable provision with a valid and enforceable one which will achieve the same economic result (to the maximum extent legally possible) as the provision which is or has become invalid or unenforceable.

16.9 If the wording or sense of any provision of this Agreement implies that the obligation(s) stipulated therein shall last after the termination of the Agreement, the parties are obliged to comply with such obligation(s) after the termination of the Agreement. In particular, the parties are obliged to protect the Confidential Information and its confidential character even after the termination of the Agreement.

17.10 For the avoidance of any doubts the parties explicitly confirm they are business entities and enter in the Agreement as businesses and therefore neither the provisions of S. 1693 of the Civil Code (disproportionate shortening) nor S. 1696 of the Civil Code (usury) shall be applied hereto.

17.11 This Agreement is governed by and shall be construed in accordance with the laws of the Czech Republic without regard to the conflict of law principles thereof. Any dispute, controversy or claim arising out of or in connection with this Agreement shall be settled by the courts of the Czech Republic. In accordance with Section 89a of Act No. 99/1963 Coll., the Czech Civil Procedure Code, the parties hereby agree that the competent court shall be the general court nearest to where the Licensor is registered, e.g. the Prague Commerce Tribunal.

